View Issue Details

IDProjectCategoryView StatusLast Update
0002059Slicer4Core: Building (CMake, Superbuild)public2018-03-31 00:37
ReporterjcfrAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status acknowledgedResolutionopen 
Product Version 
Target VersionSlicer 4.11.0Fixed in Version 
Summary0002059: Transition to Git
Description
  • Make sure to rename "svn email" into "git user email" See 0002035

  • When integrating changed on behalf of others, the command "git svn dcommit --add-from-author" was used. Make sure the "From: John Doe <john@doe.org>" is removed and authorship of the commit is given to "John Doe <john@doe.org>"

  • Filter out "huge data" (>= 1MB ?). Discuss with CMake folks (Brad Davis, David Cole)

  • Move testing data onto Midas3.kitware.com. See 0002060
TagsNo tags attached.

Relationships

related to 0002218 closedjcfr Re-write history associated to master-411 branch 
parent of 0002035 closedfinetjul No contributors in github contributors graph 
parent of 0002060 acknowledgedjcfr Move testing data onto Midas 
parent of 0002255 closedcrmullin Integrate GIT_REPO option into dashboard script 
parent of 0002519 closedjcfr Discuss with the community and setup a branchy workflow 
parent of 0002834 closedjcfr Consolidate svn and git hooks 
related to 0003156 acknowledgedjcfr Automatic conversion of ExternalData to MD5 
Not all the children of this issue are yet resolved or closed.

Activities

sankhesh

sankhesh

2013-03-21 06:02

developer   ~0008186

Pushed topic to: https://github.com/sankhesh/Slicer/tree/2834-consolidate-svn-git-hooks

Wiki documentation on the issue: http://www.slicer.org/slicerWiki/index.php/Documentation/Labs/DevelopmentWithGit

jcfr

jcfr

2013-03-21 07:12

administrator   ~0008190

Very nice.

1) If it applies, commit message could specify from which project is has been inspired from and give the appropriate credit.

2) May be pushurl shouldn't be hardcoded to
git config remote.origin.pushurl git@github.com:sankhesh/Slicer.git
What do you think ?

inorton

inorton

2013-08-28 07:55

developer   ~0009663

+1. This might let us integrate the superbuild process more closely with git (eg: use submodules for dependencies). Developing dependencies against the SuperBuild would be much nicer if we had a simple way to 'pin' a dependency at a non-default hash/branch.

Issue History

Date Modified Username Field Change
2012-05-16 09:51 jcfr New Issue
2012-05-16 09:51 jcfr Status new => assigned
2012-05-16 09:51 jcfr Assigned To => jcfr
2012-05-16 09:52 jcfr Relationship added parent of 0002035
2012-05-16 09:53 jcfr Relationship added parent of 0002060
2012-05-16 09:53 jcfr Description Updated
2012-05-16 09:55 jcfr Target Version => Slicer 4.3.0
2012-06-25 12:26 jcfr Relationship added child of 0002255
2012-06-25 12:26 jcfr Relationship deleted child of 0002255
2012-06-25 12:26 jcfr Relationship added parent of 0002255
2012-09-13 14:16 jcfr Relationship added child of 0002519
2012-09-14 05:26 jcfr Assigned To jcfr => sankhesh
2012-09-24 08:16 jcfr Description Updated
2012-12-18 06:45 sankhesh Relationship added parent of 0002834
2013-02-23 19:46 jcfr Relationship added related to 0002218
2013-03-21 06:02 sankhesh Note Added: 0008186
2013-03-21 07:12 jcfr Note Added: 0008190
2013-06-03 05:15 jcfr Assigned To sankhesh => jcfr
2013-06-11 09:02 jcfr Relationship added related to 0003156
2013-08-27 11:41 jcfr Target Version Slicer 4.3.0 => Slicer 4.4.0
2013-08-28 07:55 inorton Note Added: 0009663
2014-01-29 09:09 jcfr Description Updated
2014-03-07 10:50 jcfr Relationship replaced parent of 0002519
2014-05-13 12:51 jcfr Status assigned => acknowledged
2014-07-29 09:46 jcfr Target Version Slicer 4.4.0 => Slicer 4.5.0-1
2015-11-02 04:58 jcfr Target Version Slicer 4.5.0-1 => Slicer 4.5.1
2016-10-12 02:31 jcfr Target Version Slicer 4.5.1 => Slicer 4.7.0
2017-09-26 10:35 jcfr Target Version Slicer 4.7.0 => Slicer 4.9.0
2018-03-31 00:37 jcfr Target Version Slicer 4.9.0 => Slicer 4.11.0